<?php

namespace Database\Seeders;

use App\Models\Criteria;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class CriteriaSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        Criteria::create([
            'category' => 'Gold',
            'criteria' => [
                'stand_structure_walls' => 'yes',
                'plateform_raised_flooring' => 'yes',
                'furniture_equipments'=>'yes',
                'lighting'=>'yes',
                'fascia_overhead_signage'=>'yes',
                'rigged_structure'=>'yes',
                'ceiling'=>'yes',
                'display_facilities'=>'yes',
                'flooring'=>'yes',
                'graphics_decorative_items'=>'yes'
            ]

        ]);
        Criteria::create([
            'category' => 'Silver',
            'criteria' => [
                'stand_structure_walls' => 'yes',
                'plateform_raised_flooring' => 'yes',
                'furniture_equipments' => 'yes',
                'lighting' => 'yes',
                'fascia_overhead_signage' => 'yes',
                'rigged_structure' => 'yes',
                'ceiling' => 'yes',
                'display_facilities' => 'yes',
                'flooring' => 'no',
                'graphics_decorative_items' => 'no'
            ]
        ]);
        Criteria::create([
            'category' => 'Silver',
            'criteria' => [
                'stand_structure_walls' => 'yes',
                'plateform_raised_flooring' => 'yes',
                'furniture_equipments' => 'yes',
                'lighting' => 'yes',
                'fascia_overhead_signage' => 'yes',
                'rigged_structure' => 'yes',
                'ceiling' => 'yes',
                'display_facilities' => 'yes',

            ]
        ]);
        Criteria::create([
            'category' => 'Bronze',
            'criteria' => [
                'stand_structure_walls' => 'yes',
                'plateform_raised_flooring' => 'yes',
                'furniture_equipments' => 'yes',
                'lighting' => 'yes',

            ]
        ]);
        Criteria::create([
            'category' => 'Disposable',
            'criteria' => [
                'stand_structure_walls' => 'no',
                'plateform_raised_flooring' => 'no',
                'furniture_equipments' => 'no',
                'lighting' => 'no',
                'fascia_overhead_signage' => 'no',
                'rigged_structure' => 'no',
                'ceiling' => 'no',
                'display_facilities' => 'no',
                'flooring' => 'no',
                'graphics_decorative_items' => 'no'
            ]
        ]);
    }
}
